Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class AbstractFrameStoreInvocationHandler

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler

All Implemented Interfaces:
  InvocationHandler

Direct Known Subclasses:
  CallCachingFrameStore, JournalingFrameStoreHandler, LastUsageInvocationHandler, LocalizeFrameStoreHandler, ReadAccessEnforcementFrameStore, ReadOnlyFrameStoreHandler, TraceFrameStoreHandler

    public abstract class AbstractFrameStoreInvocationHandler

extends Object
implements InvocationHandler

Constructor Summary
`AbstractFrameStoreInvocationHandler()`

Method Summary
`protected abstract void` | `executeQuery(Query q, QueryCallback qc)`
`protected FrameStore` | `getDelegate()`
`static Object` | `getInstance(Class clas, KnowledgeBase kb)`
`protected void` | `handleClose()`
`protected abstract Object` | `handleInvoke(Method method, Object[] args)`
`protected void` | `handleReinitialize()`
`protected Object` | `invoke(Method m, Object[] args)`
`protected static Object` | `invoke(Method m, Object[] args, FrameStore frameStore)`
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`protected static boolean` | `isModification(Method method)`
`protected static boolean` | `isQuery(Method method)`
`static FrameStore` | `newInstance(Class handlerClass)`
`static FrameStore` | `newInstance(Class handlerClass, KnowledgeBase kb)`
`protected void` | `setDelegate(FrameStore delegate)` This methods sets the delegate for this InvocationHandler and for the associated frame store.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractFrameStoreInvocationHandler

    public AbstractFrameStoreInvocationHandler()

Method Detail

### getDelegate

    protected FrameStore getDelegate()

### setDelegate

    protected void setDelegate(FrameStore delegate)

  This methods sets the delegate for this InvocationHandler and for the associated frame store. It is only called by the InvocationHandler but it is overridden by classes such as the CallCachingFrameStore.

  Parameters:
    `delegate` - the delegate FrameStore.

### newInstance

    public static FrameStore newInstance(Class handlerClass)

### getInstance

    public static Object getInstance(Class clas,
                                     KnowledgeBase kb)
                              throws IllegalAccessException,
                                     InstantiationException,
                                     InvocationTargetException

  Throws:
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`

### newInstance

    public static FrameStore newInstance(Class handlerClass,
                                         KnowledgeBase kb)

### isQuery

    protected static boolean isQuery(Method method)

### isModification

    protected static boolean isModification(Method method)

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)

  Specified by:
    `invoke` in interface `InvocationHandler`

### handleReinitialize

    protected void handleReinitialize()

### handleClose

    protected void handleClose()

### handleInvoke

    protected abstract Object handleInvoke(Method method,
                                           Object[] args)

### executeQuery

    protected abstract void executeQuery(Query q,
                                         QueryCallback qc)

### invoke

    protected Object invoke(Method m,
                            Object[] args)

### invoke

    protected static Object invoke(Method m,
                                   Object[] args,
                                   FrameStore frameStore)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.